<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Employee Attendance</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Employee Attendance
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Employee Attendance</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#detail" data-toggle="tab">Employees</a></li>
                    <!--                    <li><a href="#keluarga" data-toggle="tab">Keluarga</a></li>-->
                    <!--                    <li><a href="#pendidikan" data-toggle="tab">Pendidikan</a></li>-->
                </ul>
                <!--                <form class="form-horizontal" th:action="@{/setting/payroll/periode/save}" th:object="${payrollPeriode}" method="post" enctype="multipart/form-data">-->
                <div class="tab-content">
                    <div class="tab-pane active" id="detail">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-info">

                                    <div class="box-header with-border">

                                    </div>
                                    <form method="get">

                                        <div class="box-header with-border">
                                            <div class="row">
                                                <div class="col-md-6">

                                                    <div class="form-group">
                                                        <label for="employes" class="col-sm-2 control-label">Employee</label>

                                                        <div class="col-sm-10">
                                                            <select class="form-control select2" name="employes" id="employes" style="width: 100%;">
                                                                <option th:each="data : ${listEmployes}"
                                                                        th:selected="(${data} == *{employesSelected})"
                                                                        th:text="${data.fullName}"
                                                                        th:value="${data.id}">sdasd</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="bulan" class="col-sm-2 control-label">Month</label>

                                                        <div class="col-sm-10">
                                                            <select class="form-control select2" name="bulan" id="bulan" style="width: 100%;">
                                                                <option th:each="datas : ${listBulan}"
                                                                        th:selected="(${datas} == *{bulanSelected})"
                                                                        th:text="${datas.nama}"
                                                                        th:value="${datas.nomor}">sdasd</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="tahun" class="col-sm-2 control-label">Year</label>

                                                        <div class="col-sm-10">
                                                            <select class="form-control select2" name="tahun" id="tahun" style="width: 100%;">
                                                                <option th:each="datass : ${listTahun}"
                                                                        th:selected="(${datass} == *{tahunSelected})"
                                                                        th:text="${datass.tahun}"
                                                                        th:value="${datass.tahun}">sdasd</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <button type="submit" class="btn btn-info pull-left" id="simpan">Proces</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                    <div class="box-header with-border">

                                    </div>
                                    <div class="box-body table-responsive no-padding">
                                        <table class="table table-bordered">
                                            <tr>
                                                <th rowspan="2" style="width: 10px; background-color: #cb7914; color: white">#</th>
                                                <th rowspan="2" style="background-color: #cb7914; color: white">Date</th>
                                                <th rowspan="2" style="background-color: #cb7914; color: white">Day</th>
                                                <th colspan="3" style="background-color: #cb7914; color: white">Shift</th>
                                                <th colspan="2" style="background-color: #cb7914; color: white">Attendance</th>
                                                <th rowspan="2" style="background-color: #cb7914; color: white">Status</th>
                                            </tr>
                                            <tr>
                                                <th style="background-color: #cb7914; color: white">Name</th>
                                                <th style="background-color: #cb7914; color: white">In</th>
                                                <th style="background-color: #cb7914; color: white">Out</th>
                                                <th style="background-color: #cb7914; color: white">In</th>
                                                <th style="background-color: #cb7914; color: white">Out</th>
                                            </tr>
                                            <tr th:each="dataAttendanceEmployee,row : ${listAttendanceEmployee}" >

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${row.index + 1}">1.</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${row.index + 1}">1.</td>

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${#temporals.format(dataAttendanceEmployee.getTanggal(),'dd-MMM-yyyy')}">BEASISWA</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${#temporals.format(dataAttendanceEmployee.getTanggal(),'dd-MMM-yyyy')}">BEASISWA</td>

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getHari()}">BEASISWA</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getHari()}">BEASISWA</td>

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getShiftName()}">BEASISWA</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getShiftName()}">BEASISWA</td>

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getShiftIn()}">BEASISWA</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getShiftIn()}">BEASISWA</td>

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getShiftOut()}">BEASISWA</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getShiftOut()}">BEASISWA</td>

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getWaktuMasuk()}">BEASISWA</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getWaktuMasuk()}">BEASISWA</td>

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getWaktuKeluar()}">BEASISWA</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getWaktuKeluar()}">BEASISWA</td>

                                                <td style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getStat()}">BEASISWA</td>
                                                <td th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getStat()}">BEASISWA</td>

                                            </tr>

                                        </table>
                                    </div>
                                    <!-- /.box-body -->
                                    <div class="box-footer clearfix">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!--                </form>-->
                <!-- /.tab-content -->
            </div>
            <!-- nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>